# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

Name:              audio-convert-mod
Version:           3.46.0b
Release:           17%{?dist}
BuildArch:         noarch
Summary:           A simple audio file converter that supports many formats
License:           GPLv2+
URL:               http://www.diffingo.com/oss/audio-convert-mod
Source0:           http://downloads.diffingo.com/audio-convert-mod/audio-convert-mod-%{version}.tar.bz2
Patch0:            acm-ape-notags.patch

BuildRequires:     gcc
BuildRequires:     desktop-file-utils
# Pulls gettext and autotools
BuildRequires:     intltool
BuildRequires:     python2 >= 2.4
# Required for tags test
BuildRequires:     python2-mutagen
Buildrequires:     /usr/bin/pathfix.py

Requires:          python2 >= 2.4
Requires:          pygtk2-libglade
Requires:          python2-notify
# FOSS encoders, decoders, taggers
Requires:          flac
Requires:          vorbis-tools
Requires:          wavpack
Requires:          python2-mutagen

%description
audio-convert-mod is a simple audio file converter supporting various formats
via external binaries. It allows for the batch conversion of audio files, either
from directly within the program or from the file manager. Drag-and-drop
conversion is also supported. File tags/metadata are preserved when possible.

%prep
%setup -q
pushd src/audio_convert_mod
%patch0 -p0 -b .apetag
popd
pathfix.py -pni "%{__python2} " encode.py.test
pathfix.py -pni "%{__python2} " decode.py.test

%build
%configure
make

%install
%make_install

desktop-file-install --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%license COPYING
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/audio-convert-mod.desktop

%changelog
* Wed Jul 10 2019 Filipe Rosset <rosset.filipe@gmail.com> - 3.46.0b-17
- Rebuilt to Fix FTBFS rhbz#1603437 and rhbz#1674671

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 15 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.46.0b-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0b-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.46.0b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 3.46.0b-3
- recompiling .py files against Python 2.7 (rhbz#623273)

* Sat Jan 30 2010 Stewart Adam <s.adam at diffingo.com> 3.46.0b-2
- Add patch to fix traceback when APE file has no metadata
- Fix release portion of previous changelog entry

* Sun Dec 13 2009 Stewart Adam <s.adam at diffingo.com> 3.46.0b-1
- Update to 3.46.0b (see ChangeLog for details on version changes)

* Fri Aug 14 2009 Stewart Adam <s.adam at diffingo.com> - 3.46.0a-1
- Update to 3.46.0a (see ChangeLog for details on version changes)

* Fri Aug 7 2009 Stewart Adam <s.adam at diffingo.com> - 3.46.0-1
- Update to 3.46.0 (see ChangeLog for details on version changes)
- Update Source0 URL
- Add python-mutagen BuildRequires and Requires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.45.5b-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.45.5b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Stewart Adam <s.adam at diffingo.com> - 3.45.5b-1
- Update to 3.45.5b (correctly updates the v3.45.4 prefs file)
- Drop NEWS and README

* Mon Jan 12 2009 Stewart Adam <s.adam at diffingo.com> - 3.45.5-1
- Update to 3.45.5 (see ChangeLog for details on version changes)
- Add BR on autoconf
- Require libmp4v2 for AAC tagging, id3lib for MP3 tagging and notify-python
- Add %%check section

* Sat Dec 13 2008 Stewart Adam <s.adam at diffingo.com> - 3.45.4-3
- Add patch for fixing lame decode

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.45.4-2
- Rebuild for Python 2.6

* Sun May 11 2008 Stewart Adam <s.adam@diffingo.com> 3.45.4-1
- Update to 3.45.4 (see CHANGELOG file for details on version changes)

* Fri Apr 25 2008 Stewart Adam <s.adam@diffingo.com> 3.45.3-1
- Update to 3.45.3 (see CHANGELOG file for details on version changes)
- Fixes RH#442502

* Sat Jan 19 2008 Stewart Adam <s.adam@diffingo.com> 3.45.2-3
- Rebuild

* Sat Sep 8 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-2
- Fix traceback upon calling --help

* Wed Sep 5 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-1
- Update to 3.45.2 (see CHANGELOG file for details on version changes)
- Fixes RH#277871

* Fri Aug 24 2007 Stewart Adam <s.adam@diffingo.com> 3.45.1-1
- Update to 3.45.1 (see CHANGELOG file for details on version changes)
- Remove uninstall script from package
- Update License tag per guideline changes
- Use sitelib, not sitearch

* Fri Aug 3 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-1
- Update to 3.45.0 (see CHANGELOG file for details on version changes)

* Tue Jul 31 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-0.1
- Initial RPM release, 3.45.0 beta

